<?php 

$tab_caracteristica_david = array("apellidos" => "PAUL","profesión" => "ministro","edad" => 50);
$tab_caracteristica_luis = array("apellidos" => "ROBERT","profesión" => "agricultor","edad" => 45);
$tab_persona['david'] = $tab_caracteristica_david;
$tab_persona['luis'] = $tab_caracteristica_luis;
echo '<table border="1">';
echo '<tr><td>';
echo 'Clave';
echo '</td><td colspan="2">';
echo 'Valor';
echo '</td></tr>';

foreach ($tab_persona as $clave => $val) {
	//$clave corresponde a david o luis
	$nombre_registro = count($val)+1; //número de registro a ver = número del elemento en la tabla + encabezado
    echo '<tr><td rowspan="'.$nombre_registro.'">'; 
	echo $clave;
	echo '</td>';
	echo '<td>Clave</td><td>Valor</td></tr>';
//bucle sobre la tabla $val correspondiente a $tab_caracteristica_david o $tab_caracteristica_luis
	foreach ($val as $clave2 => $val2) {
		echo '<tr>';
		echo '<td>'.$clave2.'</td>';
		echo '<td>'.$val2.'</td>';
		echo '</tr>';
	}	
}
echo '</table>';



?>
